Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnRNASequence Class Reference

gnRNASequence is a special kind of gnSequence which can be used for RNA sequences It sets the default filters and comparators to the RNA filters and comparators. More...

`#include <gnRNASequence.h>`

Inheritance diagram for gnRNASequence::

List of all members.

## Public Methods
| gnRNASequence ()
| Empty Constructor, creates an empty gnRNASequence. More...
| gnRNASequence (const gnSeqC *seq)
| Creates a gnRNASequence with a single contig containing the bases in "seq". More...
| gnRNASequence (const string &str)
| Creates a gnRNASequence with a single contig containing the bases in "str". More...
| gnRNASequence (const gnGenomeSpec &gngs)
| Creates a gnRNASequence with the contigs stored in "gngs". More...
| gnRNASequence (const gnFragmentSpec &gnfs)
| Creates a gnRNASequence with the contigs stored in "gnfs". More...
| gnRNASequence (const gnContigSpec &gncs)
| Creates a gnRNASequence with the contigs stored in "gncs". More...
| gnRNASequence (gnSeqC *bases, const gnSeqI length)
| Creates a gnRNASequence with a single contig containing the bases in "bases". More...
| gnRNASequence (const gnRNASequence &seq)
| Copies the gnRNASequence "seq". More...
## Private Attributes
gnGenomeSpec* | spec
list<const gnBaseFilter*> | filter_list
const gnCompare* | comparator

## Detailed Description

gnRNASequence is a special kind of gnSequence which can be used for RNA sequences It sets the default filters and comparators to the RNA filters and comparators.

Definition at line 29 of file gnRNASequence.h.

## Constructor & Destructor Documentation

gnRNASequence::gnRNASequence ( | )`[inline]`

| Empty Constructor, creates an empty gnRNASequence. Definition at line 79 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | const gnSeqC * seq )`[inline]`

  | Creates a gnRNASequence with a single contig containing the bases in "seq". Parameters:
  seq | The null terminated array of base pairs to use.
Definition at line 84 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | const string & str )`[inline]`

  | Creates a gnRNASequence with a single contig containing the bases in "str". Parameters:
  str | The base pairs to use.
Definition at line 89 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | const gnGenomeSpec & gngs )`[inline]`

  | Creates a gnRNASequence with the contigs stored in "gngs". Parameters:
  gngs | the gnGenomeSpec to get contigs from.
Definition at line 94 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | const gnFragmentSpec & gnfs )`[inline]`

  | Creates a gnRNASequence with the contigs stored in "gnfs". Parameters:
  gnfs | the gnFragmentSpec to get contigs from.
Definition at line 99 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | const gnContigSpec & gncs )`[inline]`

  | Creates a gnRNASequence with the contigs stored in "gncs". Parameters:
  gncs | the gnContigSpec to get contigs from.
Definition at line 104 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | gnSeqC * bases,
| const gnSeqI length )`[inline]`

  | Creates a gnRNASequence with a single contig containing the bases in "bases". Parameters:
  bases | The base pairs to use
  length | The length of the base pair array.
Definition at line 109 of file gnRNASequence.h.

gnRNASequence::gnRNASequence ( | const gnRNASequence & seq )`[inline]`

  | Copies the gnRNASequence "seq". Parameters:
  seq | The gnRNASequence to copy.
Definition at line 114 of file gnRNASequence.h.

## Member Data Documentation

const gnCompare * gnRNASequence::comparator`[private]`

| Reimplemented from gnSequence. Definition at line 75 of file gnRNASequence.h.

list< const gnBaseFilter *> gnRNASequence::filter_list<const gnBaseFilter*>`[private]`

| Reimplemented from gnSequence. Definition at line 74 of file gnRNASequence.h.

gnGenomeSpec * gnRNASequence::spec`[private]`

| Reimplemented from gnSequence. Definition at line 73 of file gnRNASequence.h.

The documentation for this class was generated from the following file:

- gnRNASequence.h